/// Annotate your BLoC class with this annotation to declare how event classes
/// should be generated for it.
///
/// Example
/// ```dart
/// @BlocEvents({
///   'NavigateToAwesomePage': {},
///   'ShowSnackBar': {
///     'message': String,
///     'duration': Duration,
///   },
/// })
/// ```
class BlocEvents {
  final Map<String, Map<String, dynamic>> events;

  const BlocEvents(this.events);
}
